%global _hardened_build 1

Name:              dropbear
Version:           2022.82
Release:    2%{?dist}
Summary:           Lightweight SSH server and client
License:           MIT
URL:               https://matt.ucc.asn.au/dropbear/dropbear.html
Source0:           https://matt.ucc.asn.au/%{name}/releases/%{name}-%{version}.tar.bz2
Source1:           dropbear.service
Source2:           dropbear-keygen.service
BuildRequires:     gcc
BuildRequires:     libtomcrypt-devel
BuildRequires:     libtommath-devel
BuildRequires:     pam-devel
BuildRequires:     systemd
%{?systemd_requires}
Requires(post):    systemd-sysv
BuildRequires:     zlib-devel
BuildRequires: make

%description
Dropbear is a relatively small SSH server and client. It's particularly useful
for "embedded"-type Linux (or other Unix) systems, such as wireless routers.

%prep
%setup -q
iconv -f iso-8859-1 -t utf-8 -o CHANGES{.utf8,}
mv CHANGES{.utf8,}

%build
%configure --enable-pam --disable-bundled-libtom

cat > localoptions.h <<EOT
EOT

%make_build

%install
%make_install
install -d %{buildroot}%{_sysconfdir}/%{name}
install -d %{buildroot}%{_unitdir}
install -pm644 %{S:1} %{buildroot}%{_unitdir}/%{name}.service
install -pm644 %{S:2} %{buildroot}%{_unitdir}/dropbear-keygen.service

%post
%systemd_post %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%preun
%systemd_preun %{name}.service

%triggerun -- dropbear < 0.55-2
systemd-sysv-convert --save dropbear >/dev/null 2>&1 ||:

chkconfig --del dropbear >/dev/null 2>&1 || :
systemctl try-restart dropbear.service >/dev/null 2>&1 || :

%files
%doc CHANGES README
%license LICENSE
%dir %{_sysconfdir}/dropbear
%{_unitdir}/dropbear*
%{_bindir}/dropbearkey
%{_bindir}/dropbearconvert
%{_bindir}/dbclient
%{_sbindir}/dropbear
%{_mandir}/man1/*.1*
%{_mandir}/man8/*.8*

%changelog
* Wed Jun 04 2025 bbrucezhang <bbrucezhang@tencent.com> - 2022.82-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2022.82-1
- initial build
